# Generalized chi-square distribution [![View Generalized chi-square distribution on File Exchange](https://www.mathworks.com/matlabcentral/images/matlab-file-exchange.svg)](https://www.mathworks.com/matlabcentral/fileexchange/85028-generalized-chi-square-distribution)
Matlab toolbox to compute the statistics, pdf, cdf, inverse cdf and random numbers of the generalized chi-square distribution.

## Author
Abhranil Das, Center for Perceptual Systems, The University of Texas at Austin.

Bugs/comments/questions/suggestions to abhranil.das@utexas.edu.

If you use this code, please cite: [A method to integrate and classify normal distributions.](https://arxiv.org/abs/2012.14331)

## Installation
Within Matlab's Home tab, select Add-Ons > Get Add-Ons > Search for 'Generalized chi-square distribution' and install.

## Quick Start
After installation, begin with the Getting Started live script with interactive examples, or, at any time, go to Matlab Home tab > Add-Ons > Manage Add-Ons > click the three dots next to this toolbox > View Getting Started Guide

## Documentation
For function help, type:

    doc gx2stat
    doc gx2rnd
    doc gx2cdf
    doc gx2cdf_davies
    doc gx2cdf_imhof
    doc gx2cdf_ruben
    doc gx2pdf
    doc gx2inv
    doc gx2_params_norm_quad 
